Introduction

PowerSmart is a system monitor that continuously monitors the computer system's power supply output voltage, internal temperatures, fan speeds, and hours of operation.

PowerSmart appears as a graphical display, shown in the figure below.

PowerSmart is comprised of two pieces of software, an OPC server and a dedicated OPC client. The PowerSmart OPC server exposes PowerSmart tags through an OPC interface only. The OPC client is used to view the tag data. You may use the PowerSmart graphical client or a third party OPC client to view the data. The graphical client update interval is set to one second and is not configurable.

PowerSmart tracks and reports the following data:

  • The system's five power supply output voltages.

  • Temperatures in the system's internal compartment. The Motherboard Temperature Trend window displays temperature data for the last 24 hours. 266MHz and 566MHz/1GHz CPU PowerStations contain one temperature sensor while the P9 PowerStation contains two sensors.

  • Fan speeds of the system's fans. The P9 PowerStation has two fans, the 566MHz/1GHz CPU PowerStations contain one fan, and the 266MHz CPU PowerStations contain no fans.

  • Total hours that the system has been in operation.

  • Communication errors with the OPC server (COM Status).

If you want to see more precise temperature and time readings, use a mouse to move the small, white zoom arrows in the Motherboard Temperature Trend window.

If any system parameters are out-of-limit, the gauge on the PowerSmart display will change color, and the gauges will show the error condition. If the display has been minimized, the PowerSmart button on the Windows taskbar will flash continually. Click on the button to show the display.

If any communication errors occur between the server and the client(s), the COM Status light will change from green to red.

See the topic Problems Signaled by PowerSmart for suggestions on how to respond to error conditions.

You can activate the graphical client by clicking the PowerSmart icon in the Windows system tray and selecting View PowerSmart. PowerSmart continually monitors the system regardless of whether the display is shown. The PowerSmart icon will indicate whether you are connected to an OPC client or not.

Icon | Description
 | Indicates the OPC server is running but no client(s) are connected.
 | Indicates the OPC server is running and has connected to a client.


Installing PowerSmart

PowerSmart is already installed on all CTC PowerStations. A copy of the PowerSmart utility may be obtained from the following sources.

  • The CTC Parker Automation web site - http://www.ctcusa.com. Select Support - Utilities, then look for it within the table of downloadable programs.

  • PS/PX/PC PowerStation Documentation, Drivers, and Utilities CD.

Installing PowerSmart

  1. Obtain a copy of PowerSmart from one of the sources listed above.

  2. Double-click the Setup.exe file then follow the Installation wizard to install PowerSmart.

Once installed, PowerSmart will exist within the PowerSmart program group.

  3. To launch PowerSmart select, Start - Programs - PowerSmart, then click the PowerSmart selection. You can also launch PowerSmart by double-clicking the desktop icon.


PowerSmart as an OPC Server

PowerSmart is installed as an OPC Server which has the advantages listed below.

  • OPC Server termination: When starting the OPC Server first, then connecting with a client, shutting down the client at a later time will leave the OPC Server running. When starting a client(s), connecting with the OPC Server from the client, shutting down the client at a later time will then shut down the OPC Server. This ability provides better management of system resources.

  • You can start PowerSmart directly from the command line. The OPC Server will not shut down when all it's clients disconnect when the server is started from the command line.

  • You can simulate running PowerSmart on the target platform through command line arguments. This may be helpful during HMI application development.

To register and start the PowerSmart server directly from the command line follow the steps below:

  1. Click Start - Run.

The Run dialog displays.

  2. In the Open text box enter:

psserver -regserver

This will register and start the PowerSmart OPC Server.

To simulate running PowerSmart on a CTC PowerStation follow the steps below:

  1. Click Start - Run.

The Run dialog displays.

  2. In the Open text box enter:

psserver -<arguments>

Where <arguments> are:

S1 - for a P9 PowerStation

S2 - for a 266MHz CPU PowerStation

S3 - for a 566MHz/1GHz CPU PowerStation

This will display the OPC Client as it would appear on the selected target system. The default is S3 (566MHz/1GHz CPU PowerStation).

For a client:

If you wish to simulate running a client on a CTC PowerStation, in step 2 replace psserver with psclient. The same arguments are available to the client (S1, S2, or S3). This will display the OPC Server as it would appear on the selected target system. The default is S3 (566MHz/1GHz CPU PowerStation).


PowerSmart Simulation Mode

PowerSmart has the ability to function in a simulation mode where the graphical display indicates simulated data instead of data from a hardware platform.

In simulation mode there are a number of hardware platforms that can be simulated.

To simulate running PowerSmart on a CTC PowerStation follow the steps below:

  1. Click Start - Run.

The Run dialog displays.

  2. In the Open text box enter:

psserver -<arguments>

Where <arguments> are:

S1 - for a P9 PowerStation

S2 - for a 266MHz CPU PowerStation

S3 - for a 566MHz/1GHz CPU PowerStation

This will display the OPC Client as it would appear on the selected target system. The default is S3 (566MHz/1GHz CPU PowerStation).

For a client:

If you wish to simulate running a client on a CTC PowerStation, in step 2 replace psserver with psclient. The same arguments are available to the client (S1, S2, or S3). This will display the OPC Server as it would appear on the selected target system. The default is S3 (566MHz/1GHz CPU PowerStation).

Depending on whether you launched the server or client first will dictate which hardware platform is being simulated.

First to launch

Action

Client launches first with an argument

The server will simulate the hardware platform set in the client argument. For example, if the client was started with simulated data from a 266MHz CPU PowerStation then the server would simulate this data. Any third party client will also simulate the data set within the client argument.

Server launches first with an argument

The client will simulate the hardware platform set in the server argument. For example, if the server was started with simulated data from a 266MHz CPU PowerStation then the client would simulate this data. Any third party client will also simulate the data set within the server argument.

Either the client or server launches with no argument

If launching the server with no argument on a PowerStation, then the server will access live data and not enter simulation mode.

If launching on a non-PowerStation hardware platform, then the simulation mode is set to simulate data from a 566MHz/1GHz CPU PowerStation.


Monitored Values

PowerSmart tags are exposed to any OPC client for monitoring and use within your HMI application. You can view the tags through any OPC client. Tags are grouped hierarchical under several categories. The full tag name uses the category name in front of the tag, for example if you wish to monitor the CPU fan speed, the tag reference would be:

Fans.CPUFanSpeed

The table below summarizes the tags monitored by PowerSmart and their associated values. Each tag must be prefaced with the category name from the table in which it is listed.

Fans (preface)

Tag Name | Description | CTC Platform | Normal Value | Minimum Value | Maximum Value
.CPUFanSpeed | Speed of the CPU fan. Multiply by 10 for the actual value. | All units | 4650 rpm (P9) 4800 - 5800 rpm | 3000 rpm | N/A
.FanSpeed1 | Speed of the chamber fan. Multiply by 10 for the actual value. | All units | 3000 rpm (P9) 4800 - 5800 rpm | 1600 rpm (P9) 3000 rpm | N/A
.FanSpeed2 | Speed of the maintenance compartment fan in P9 units. Multiply by 10 for the actual value. | P9 | 3000 rpm | 1600 rpm | N/A

Alarms (preface)

Tag Name | Description | CTC Platform | Normal Value | Minimum Value | Maximum Value
.AlarmCPUFan | Triggers high when the CPU fan speed is below minimum. Normally low. | All units | 4650 rpm (P9) 4800 - 5800 rpm | 3000 rpm | N/A
.AlarmFan1 | Triggers high when the chamber fan speed is below minimum. Normally low. | All units | 3000 rpm (P9) 4800 - 5800 rpm | 1600 rpm (P9) 3000 rpm | N/A
.AlarmFan2 | Triggers low when the maintenance compartment fan speed is below minimum. P9 units only. Normally high. | P9 | 3000 rpm | 1600 rpm | N/A
.AlarmTemperature1 | Triggers high when the chamber temperature exceeds the maximum value. Normally low. | All units | N/A | N/A | 65°C
.AlarmTemperature2 | Triggers high when the maintenance compartment temperature exceeds the maximum value. Normally low. P9 units only. | P9 | N/A | N/A | 65°C
.AlarmVoltage12V | Triggers high when the 12V power supply either exceeds the maximum value or drops below the minimum value. Normally low. | All units | 12.0 VDC | 11.5 VDC | 12.5 VDC
.AlarmVoltage3V | Triggers high when the 3V power supply either exceeds the maximum value or drops below the minimum value. Normally low. | All units | 3.3 VDC | 3.0 VDC | 3.6 VDC
.AlarmVoltage5V | Triggers high when the 5V power supply either exceeds the maximum value or drops below the minimum value. Normally low. | All units | 5.0 VDC | 4.75 VDC | 5.5 VDC
.AlarmVoltageN12V | Triggers high when the negative 12V power supply either exceeds the maximum value or drops below the minimum value. Normally low. | All units | -12.0 VDC | -12.5 VDC | -11.5 VDC
.AlarmVoltageN5V | Triggers high when the negative 5V power supply either exceeds the maximum value or drops below the minimum value. Normally low. | All units | -5.0 VDC | -5.5 VDC | -4.75 VDC

Miscellaneous (preface)

Tag Name | Description | CTC Platform | Normal Value
.DriverCommunicationError | Set to high if communication stops between the client and the hardware. Set low at all other times. | All units | 0
.FirmwareRevision | Set to the firmware version of PowerSmart. | All units | Current version = 100
.HardwarePlatform | Returns a number indicating the hardware platform PowerSmart is running on. If used on a non-CTC computer the number returned will be that of a P9 unit. | All units | 1 = P9 2 = 266MHz CPU PowerStation 3 = 566MHz/1GHz CPU PowerStation
.HoursPowered | Returns the number of hours the computer has been powered on. | All units | Any value
.IsDataSimulation | Set to high if the client is in simulation mode and displaying only simulated data. | All units | 0 = real mode (normal) 1 = simulation mode
.IsWindowsService | Set to high if PowerSmart is running as a Windows Service. This would be the case if running on Windows 2000, NT, or XP. | All units | 0 = running as a COM server 1 = running as a Windows Service
.OperatingSystem | Returns a number indicating the Operating System that PowerSmart is running on. | All units | W95 = 40 W98 = 41 WMe = 49 WNT = 4 W2000 = 50 WXP = 51

Temperatures (preface)

Tag Name | Description | CTC Platform | Normal Value | Maximum Value
.MaxTemperature1 | Returns a number that indicates the highest temperature ever recorded within the computer. | All units | Any value (in Celcius) | N/A
.MaxTemperature2 | Returns a number that indicates the highest temperature ever recorded within the maintenance compartment of the computer. | P9 | Any value (in Celcius) | N/A
.MinTemperature1 | Returns a number that indicates the lowest temperature ever recorded within the computer. | All units | Any value (in Celcius) | N/A
.MinTemperature2 | Returns a number that indicates the lowest temperature ever recorded within the maintenance compartment of the computer. | P9 | Any value (in Celcius) | N/A
.Temperature1 | Returns a number that indicates the current temperature of the computer. | All units | N/A | 65°C
.Temperature2 | Returns a number that indicates the current temperature within the maintenance compartment of the computer. | P9 | N/A | 65°C

Voltages (preface)

Tag Name | Description | CTC Platform | Normal Value | Minimum Value | Maximum Value
.Voltage12V | Voltage reading from the units 12V power supply. | All units | 12.0 VDC | 11.5 VDC | 12.5 VDC
.Voltage3V | Voltage reading from the units 3V power supply. | All units | 3.3 VDC | 3.0 VDC | 3.6 VDC
.Voltage5V | Voltage reading from the units 5V power supply. | All units | 5.0 VDC | 4.75 VDC | 5.5 VDC
.VoltageN12V | Voltage reading from the units negative 12V power supply. | All units | -12.0 VDC | -12.5 VDC | -11.5 VDC
.VoltageN5V | Voltage reading from the units negative 5V power supply. | All units | -5.0 VDC | -5.5 VDC | -4.75 VDC

If any of the system's voltage, temperature, or fan speed parameters are out-of-limit, the PowerSmart display will change color, and the gauges will show the error condition. If the display has been minimized, the PowerSmart button on the Windows taskbar will flash continually. Click the button to show the display.

If communication errors occur in system monitoring devices the COM Status light will change from green to red. A dialog box will appear describing the problem. See Problems Signaled by PowerSmart for suggestions about how to respond to error conditions.

Third Party OPC Clients

There are a number of third party OPC Clients on the market. Each OPC Client will display monitored items in a format specific to it's implementation.

PowerSmart provides access to a number of monitored items. All items are not supported on every hardware platform. Those items that are not supported will not provide valid item values.

The OPC quality for an unsupported item will be read as BAD or any value other than 192 in some third party OPC Clients.


PowerSmart Menu

When the PowerSmart OPC Server is installed and running on the computer, the PowerSmart icon displays in the Windows System Tray. Clicking the icon will display a pop-up menu with several selectable options as shown below.

Menu Option

Description

View PowerSmart

Selecting this option will launch the client graphical interface.

Status

Selecting this option will display a fly out menu indicating the status of the server as listed below.

Simulated Data - This is an indication when the server is reading simulated data. The message will change to Live Data when the server is reading actual data from the hardware platform.

No Client Connected - This is an indication that there are no clients connected to the server. The message will change to Client(s) Connected when there are clients communicating with the server.

Shutdown Server

Selecting will shut down the server.

Help

Selecting will launch this help file.

About

Selecting will display the About dialog which lists version number information.


Problems Signalled by PowerSmart

Problems Signaled by PowerSmart

This topic explains how to respond if PowerSmart indicates that any parameters are out of limit.

  • An error condition exists for a power supply voltage

  • An error condition exists for a temperature

  • An error condition exists for a fan

  • The PowerSmart display shows a COM ERROR

An error condition exists for a power supply voltage

  1. If the power supply value is 0 VDC, check for loose wires on the power supply output harnesses.

  2. If the power supply shows low voltage, make sure that any expansion cards installed are not exceeding the recommended power supply load limit (see the electrical specifications for the unit in which you are using PowerSmart).

  3. Use a voltmeter to measure the power supply.

  4. If the voltmeter confirms the error, contact our Technical Support department at (513) 248 - 1714.

An error condition exists for a temperature

  1. If a fan error also exists, see An error condition exists for a fan.

  2. Make sure that the fan blades are not obstructed.

  3. Make sure that any expansion cards installed are not exceeding the recommended power supply load limit (see the electrical specifications for the unit in which you are using PowerSmart).

  4. Make sure that the maximum rated ambient temperature for the unit has not been exceeded (see the environmental specifications for the unit in which you are using PowerSmart).

An error condition exists for a fan

  1. Make sure that the fan power harness has not come loose or is frayed.

  2. Make sure that the fan blades are not obstructed.

  3. Check for an error condition on the 12V power supply. If one exists, see An error condition exists for a power supply voltage.

  4. Replace the fan.

The PowerSmart display shows a COM ERROR

When a communications error occurs between the server and client, the Communications Status (COM Status) light in the PowerSmart display will change from green to red.

If the COM Status light is red, try to re-establish communications between the server and client.


Troubleshooting PowerSmart

This topic explains how to troubleshoot any problems with PowerSmart. For problems reported by PowerSmart concerning monitored values see the topic Problems Signaled by PowerSmart.

This procedure will work with Windows 2000, NT, and XP operating systems but is optional on Windows 98 and ME systems. On Windows 98 and ME, if you do not have DCOM installed on your machine, you will need to download the files from Microsoft's Web site.

  • No icon shows up in the Windows System Tray

  • Help does not pop up on systems running Embedded NT

Help does not pop up on systems running Embedded NT

The help system is not installed on systems running Embedded NT. You must run the help file from the Embedded NT CD. Insert the CD into your CD-ROM drive and follow the instructions.